Skip to main content
POST
Record a media watch

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

id
string
required

Response

Success

A user's watch record for a video.

id
integer

Watch ID.

started_at
string<date-time> | null

When playback first started.

completed_at
string<date-time> | null

When the video was completed, or null.

position
integer | null

Last recorded playback position in seconds.

visitor
object | null

A tracked visitor. View lists return the visitor record; reactions and watches embed a visitor with the same location and UTM fields plus ip, expires_at, and contact.

contact
object | null

A contact captured as a lead.